/*
 Theme Name: Salon Maris
 Description: Motyw Potomny
 Template: Astra
 Version: 1.0.0
 */
 
 
/*********************************  UNIWERSALNE **********************************/	


/* Efekt tła do sprawdzenia:
linear-gradient(315deg, rgba(0,0,0,0) 0%, rgba(178,247,239,0.4962185557816877) 30%, rgba(0,0,0,0.4429972672662815) 45%, rgb(0, 41, 85) 100%)



.wp-block-uagb-container.uagb-block-b6292f26::before {
	background-image:linear-gradient(315deg, rgba(0,0,0,0) 0%, rgba(178,247,239,0.4962185557816877) 30%, rgba(0,0,0,0.4429972672662815) 45%, rgb(0, 41, 85) 100%) !important;
}

*/


.site-title a {
	font-family: 'Maris' !important;
	font-weight: 400 !important;
}

.ast-search-icon svg{
	fill: var(--ast-global-color-6) !important;
	margin-top: 8px !important;
	margin-right: 5px !important;
}
.ast-search-icon svg:hover {
	fill: var(--ast-global-color-7) !important;
}
#search-field {
	background-color: #021945 !important;
	color: #faedcd !important;
	border-radius: 10px !important;
}
.ast-header-search .slide-search .search-form {
	border: none !important;
	border-radius: 11px !important;
	box-shadow: 0px 5px 30px -10px var(--ast-global-color-8) !important;
}






@media only screen and (max-width: 768px) {
    html, body {
        overflow-x: hidden;
        width: 100%;
        position: relative;
    }
	.ast-mobile-popup-drawer.active .ast-mobile-popup-inner {
		background: linear-gradient(132deg,#002955 44%,#002955c4 60%,#00f5d4a1 100%);
	}
	.ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link {
		background: transparent !important;
	}
	.ast-builder-menu-mobile .main-navigation .main-header-menu, .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-link, .ast-builder-menu-mobile .main-navigation .main-header-menu .sub-menu {
		background: transparent !important;
	}
	body.page-id-65 img.wp-image-11451, body.page-id-841 img.wp-image-11451 {
		display: none !important
	}
	body.page-id-65 #leftgear, body.page-id-841 #leftgear {
		display: none !important
	}
}
@media only screen and (max-width: 544px) {
	.ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link {
		background: transparent !important;
	}
	.ast-builder-menu-mobile .main-navigation .main-header-menu, .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-link, .ast-builder-menu-mobile .main-navigation .main-header-menu .sub-menu {
		background: transparent !important;
	}
}



:lang(en-US) li#menu-item-wpml-ls-18-en,
:lang(en-US) div#ukryj-en,
:lang(en-US) li.wp-block-navigation-item[data-wpml="current-language-item"] {
    display: none !important;
}

:lang(pl-PL) li#menu-item-wpml-ls-18-pl,
:lang(pl-PL) div#ukryj-en,
:lang(pl-PL) li.wp-block-navigation-item[data-wpml="current-language-item"] {
    display: none !important;
}


.menu-link[href*="#"] {
    color: var(--ast-global-color-6) !important;
}
.menu-link:hover[href*="#"] {
    color: var(--ast-global-color-7) !important;
}

@media only screen and (max-width: 767px) {
  ul#ast-hf-mobile-menu svg.ast-arrow-svg {
    fill: #f9eccc !important;
  }
  .ast-plain-container.ast-no-sidebar .entry-content > .alignfull, .ast-page-builder-template .ast-no-sidebar .entry-content > .alignfull {
    margin-left: 0px !important;
    margin-right: 0px !important;
    max-width: 100% !important;
    width: 100% !important;
	}
	.ast-container, .ast-container-fluid {
		margin-left: 0px !important;
		margin-right: 0px !important;
		padding-left: 0px !important;
		padding-right: 0px !important;
	}

}

.ast-single-post .entry-content a {
  text-decoration: none !important
}

.uagb-ifb-title {
	text-decoration: none !important
}
.uagb-ifb-button-wrapper.wp-block-button {
	text-align: center;
}



.uagb-block-8e8e4e98 .uagb-ifb-title, .uagb-block-1e328747 .uagb-ifb-title, .uagb-block-1e223de4 .uagb-ifb-title, .uagb-block-ed2e4c65 .uagb-ifb-title {
	text-decoration: none !important;
}






/*********************************  ANIMACJA FALI **********************************/
		.mac-os .stopka-fala, .mac-os .header {
			display: none;
		}
		.header {
		  position:relative;
		  text-align:center;
		  color:white;
		  transform: rotate(180deg);
		  margin-bottom: -1px;
		  z-index: 9;
		}
		
		.stopka-fala {
		  position:relative;
		  text-align:center;
		  color:white;
		  margin-bottom: -1px;
		  z-index: 9;
		}
		
		body.page-id-65 .header, body.page-id-65 .page-id-841,
		body.page-id-841 .header, body.page-id-841 .page-id-841		{
		  position:relative;
		  text-align:center;
		  color:white;
		  transform: rotate(180deg);
		  margin-bottom: -101px;
		  z-index: 9;
		}
		.inner-header {
		  height:30vh;
		  width:100%;
		  margin: 0;
		  padding: 0;
		}
		.flex { /*Flexbox for containers*/
		  display: flex;
		  justify-content: center;
		  align-items: center;
		  text-align: center;
		}
		.waves {
		  position:relative;
		  width: 100%;
		  height:3vh;
		  margin-bottom:-9px; /*Fix for safari gap*/
		  min-height:50px;
		  max-height:100px;
		}
		.content {
		  position:relative;
		  height:20vh;
		  text-align:center;
		  background-color: white;
		}

		.parallax > use {
		  animation: move-forever 25s cubic-bezier(.55,.5,.45,.5)     infinite;
		}
		.parallax > use:nth-child(1) {
		  animation-delay: -2s;
		  animation-duration: 7s;
		}
		.parallax > use:nth-child(2) {
		  animation-delay: -3s;
		  animation-duration: 10s;
		}
		.parallax > use:nth-child(3) {
		  animation-delay: -4s;
		  animation-duration: 13s;
		}
		.parallax > use:nth-child(4) {
		  animation-delay: -5s;
		  animation-duration: 20s;
		}
		@keyframes move-forever {
		  0% {
		   transform: translate3d(-90px,0,0);
		  }
		  100% { 
			transform: translate3d(85px,0,0);
		  }
		}
		
		@media (max-width: 768px) {
		  .waves {
			height:20px;
			min-height:20px;
		  }
		  body.page-id-65 .header {
			  position:relative;
			  text-align:center;
			  color:white;
			  transform: rotate(180deg);
			  margin-bottom: -50px;
			  z-index: 9;
			}
		}
		


			
			
/*********************************  STRONA GŁÓWNA **********************************/			


body.page-id-65 .uagb-ifb-button-wrapper.wp-block-button {
	text-align: left !important;
}
body.page-id-65 .uagb-block-1a514cd7 {
	background-color: #002955 !important;
	margin-top: 0px !important;
}
body.page-id-65 .uagb-block-1a514cd7 h2.uagb-ifb-title{
	color: #fff !important;
}
body.page-id-65 .uagb-block-1a514cd7 span.uagb-ifb-title-prefix strong{
	color: #faedcd !important;
}
body.page-id-65 .wp-block-uagb-container.uagb-block-dcd2ba9b {
	box-shadow: none !important;
}
body.page-id-65 .wp-block-uagb-container.uagb-block-dcd2ba9b {
	background: linear-gradient(175deg,#002955 44%,#002955c4 60%,#00f5d4a1 100%);
}






		
@media only screen and (min-width: 768px) {
	
	body.page-id-358 .uagb-block-eyj7z5jp .uagb-ifb-desc,
	body.page-id-358 .uagb-block-qdbndtqo .uagb-ifb-desc,
	body.page-id-358 .uagb-block-3177737d .uagb-ifb-desc,
	body.page-id-358 .uagb-block-f43a2846 .uagb-ifb-desc,
	body.page-id-358 .uagb-block-d49c7a7e .uagb-ifb-desc,
	body.page-id-358 .uagb-block-91456c29 .uagb-ifb-desc,
	body.page-id-358 .uagb-block-36bc9c17 .uagb-ifb-desc	{
		font-weight: 400 !important;
		font-size: 16px !important;
	}
	
	
	body.page-id-358 .uagb-ifb-desc {
		margin-top: 0px !important;
	}
	body.page-id-358 .ast-plain-container.ast-no-sidebar .entry-content .alignfull .alignfull {
		min-height: 100% !important;
		align-items: flex-start !important;
	}
	body.page-id-358 .wp-block-image.size-full.has-custom-border {
		max-height: 185px !important;
		overflow: hidden !important;
		border-radius: 15px !important;
	}
	body.page-id-358 .entry-content h3 {
		margin-bottom: 0px !important;
		
	}
	body.page-id-358 .wp-block-uagb-container h3 {
		margin-top: 0px !important;
	}
	body.page-id-358 h2.uagb-ifb-title {
		font-size: 30px !important;
		margin-top: 30px !important;
		margin-bottom: 19px !important;
	}
	
	
	
	
	body.page-id-65 img.wp-image-11487, body.page-id-841 img.wp-image-11487 {
		border-radius: 20px 20px 20px 277px !important;
	}
	body.page-id-65 img.wp-image-11451, body.page-id-841 img.wp-image-11451 {
		border-radius: 20px 277px 20px 20px !important;
	}
	body.page-id-65 #leftgear, body.page-id-841 #leftgear {
		margin-top: -75px;
		margin-bottom: -100px;
		z-index: 999999;
	}
	
	
	
	
	h1#h-maris-instytut-urody {
		font-family: Optima;
		padding-left: 0px !important;
	}
	.wp-block-uagb-container h3 a {
		text-decoration: none;
	}
	.wp-block-uagb-container h3 {
		margin-top: 22px;
	}
	.wp-block-uagb-container h2 a {
		text-decoration: none;
	}
	.wp-block-uagb-container h2 {
		margin-top: 22px;
	}
	.wp-block-uagb-container.uagb-block-d2jcxfk1, .wp-block-uagb-container.uagb-block-52f44a73 {
		padding-left: 10% !important;
		padding-right: 10% !important;
		padding-top: 39px !important;
	}
	
	
	/* O nas */
	.wp-block-uagb-container.uagb-block-405c208d {
		padding-left: 10px !important;
	}
	.wp-block-uagb-container.uagb-block-18207081 {
		padding-left: 10% !important;
		padding-right: 10% !important;
	}
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-18207081 {
		max-width:none !important;
	}
	/* Co nas wyróżnia */
	.wp-block-uagb-container.uagb-block-4c8b9969 {
		padding-left: 10% !important;
		padding-right: 10% !important;
	}
	/* harmonia i piękno */
	h2.uagb-ifb-title {
		font-family: "Libre Baskerville";
		font-weight: 400 !important;
		font-size: 36px !important;
	}
	.wp-block-uagb-container.uagb-block-4ibdauz0 {
		padding-left: 10% !important;
		padding-right: 10% !important;
	}
	.uagb-block-lio5tbcg.wp-block-uagb-info-box .uagb-ifb-desc {
		margin-top: 0% !important;
		margin-left: 0% !important;
	}
	/* harmonia i piękno */
	.wp-block-uagb-container.uagb-block-1a514cd7,
	.wp-block-uagb-container.uagb-block-72603c6b {
		margin-top: 46px !important;
	}
	.wp-block-uagb-container.uagb-block-dcd2ba9b {
		padding-top: 40px !important;
		padding-bottom: 33px !important;
	}
	/* kontakt */
	.uagb-block-whjuazlo, .uagb-block-rxv7qhhs, .uagb-block-wt2tc73y, .uagb-block-56db5e09, .uagb-block-c4b019c9 p {
		margin-left: 20px;
	}
	.uagb-google-map__iframe {
		border-radius: 22px;
	}
	#kontakt p a, .uagb-ifb-button-wrapper .uagb-infobox-cta-link {
		color: #000;
		text-decoration: none;
	}
	footer h3, footer h2, footer h2 a {
		font-family: Optima;
	}
	.ast-footer-copyright p span, .ast-footer-copyright p span a {
		color: #5A83AF !important;
	}
	#astra-footer-menu li.menu-item-wpml-ls-18-en, #astra-footer-menu li.menu-item-wpml-ls-18-pl {
		margin-top: 6px;
	}
	.wpml-ls-legacy-list-horizontal.wpml-ls-statics-footer {
		display: none;
	}
	
	.ast-arrow-svg {
		fill: #002955 !important
	}
	nav .ast-arrow-svg{
		fill: #faedcd !important
	}
	
	#ukryj-na-pc {
		display:none !important
	}
	#h-twoje-jutro-zaczyna-sie-tutaj {
		line-height: 63px !important
	}
	

}





/*********************************  BOXY OFERTY **********************************/	

@media only screen and (min-width: 768px) {
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-93c46f9a,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-df4c9b15,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-8f91943d,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-1a785106,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-ed3ad48d,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-aa3d9a9,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-38f7a509,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-ce21c69b,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-8f91943d,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-162c57c4,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-e250b8c2,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-ff426966,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-0a369110,
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-aa3d9a92 {
		max-width: 21% !important;
		width: 100% !important;
	}
	.uagb-block-93c46f9a h3, .uagb-block-df4c9b15 h2, .uagb-block-8f91943 h2, .uagb-block-1a785106 h3, .uagb-block-ed3ad48d h3, .uagb-block-aa3d9a9 h3, .uagb-block-aa3d9a92 h2, .uagb-block-38f7a509 h3, .uagb-block-8f91943d h3, .uagb-block-aa3d9a92 h3, .uagb-block-ce21c69b h3, .uagb-block-162c57c4 h3, .uagb-block-e250b8c2 h3, .uagb-block-ff426966 h3, .uagb-block-0a369110 h3 {
		font-size: 20px !important;
		margin-top: 16px !important;
		margin-bottom: 7px !important;
	}
}

@media only screen and (max-width: 767px) {
		.uagb-block-93c46f9a, .uagb-block-df4c9b15, .uagb-block-8f91943, .uagb-block-1a785106, .uagb-block-ed3ad48d, .uagb-block-aa3d9a9, .uagb-block-38f7a509, .uagb-block-ce21c69b, .uagb-block-162c57c4, .uagb-block-e250b8c2, .uagb-block-ff426966, .uagb-block-0a369110 {
			  max-width: 49% !important;
			  width: 100% !important;
			  margin: 0px -26px !important;
		}
		.uagb-block-93c46f9a h3, .uagb-block-df4c9b15 h2, .uagb-block-8f91943 h2, .uagb-block-1a785106 h3, .uagb-block-ed3ad48d h3, .uagb-block-aa3d9a9 h3, .uagb-block-aa3d9a92 h2, .uagb-block-38f7a509 h3, .uagb-block-8f91943d h3, .uagb-block-aa3d9a92 h3, .uagb-block-ce21c69b h3, .uagb-block-162c57c4 h3, .uagb-block-e250b8c2 h3, .uagb-block-ff426966 h3, .uagb-block-0a369110 h3 {
			font-size: 17px !important;
			margin-top: 16px !important;
			margin-bottom: 7px !important;
		}
		
		
		
}






/*********************************  MENU **********************************/	

@media only screen and (min-width: 768px) {
	.ast-desktop .astra-menu-animation-slide-down > .menu-item:hover > .sub-menu {
		opacity: 1 !important;
		visibility: visible !important;
		transform: translateY(0) !important;
		transition: opacity 0.5s ease,visibility 1.0s ease,transform 1.2s ease !important;
		background: linear-gradient(132deg,#002955 44%,#002955c4 60%,#00f5d4a1 100%);
		border-radius: 12px !important;
		margin-top: -2px !important;
		box-shadow: 0px 4px 7px #00000059;
		padding-bottom: 4px;
	}

	ul.sub-menu a.menu-link {
		color: #f9eccc !important;
	}

	.main-header-menu .sub-menu .menu-link {
		padding: .7em 1em !important;
	}

	ul.sub-menu a.menu-link:hover {
		background-color: #102a4687 !important;
		border-radius: 12px !important;
		margin: 0px 3px !important;
		color: #00f5d4 !important;
	}
}









/* BUTON UMÓW */

								.umowwizyte {
									/* Podstawowe style */
									background-color: var(--ast-global-color-6);
									color: #333333;
									border: none;
									border-radius: 14px;
									font-family: 'Arial', sans-serif;
									font-size: 16px;
									font-weight: 500;
									cursor: pointer;
									transition: all 0.3s ease;
									box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
									position: relative;
									overflow: hidden;
								}
								
								.umowwizyte  .wp-block-button__link:hover, .umowwizyte  .wp-block-button__link:focus {
									background-color: var(--ast-global-color-7);
									transition: 0.5s;
								}
								
								/* Efekt hover */
								.umowwizyte:hover {
									background-color: #FFE5B4;
									transform: translateY(-2px);
								}

								/* Efekt naciśnięcia */
								.umowwizyte:active {
									transform: translateY(1px);
									box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
								}

								/* Dodatkowy efekt podświetlenia przy hover */
								.umowwizyte::before {
									content: '';
									position: absolute;
									top: 0;
									left: -100%;
									width: 100%;
									height: 100%;
									background: linear-gradient(
										120deg,
										transparent,
										rgba(255, 255, 255, 0.3),
										transparent
									);
									transition: 0.5s;
								}

								.umowwizyte:hover::before {
									left: 100%;
								}
								
								.umowwizyte .uagb-button__wrapper {
									margin-top: 0px !important;
								}
								
								.umowwizyte a.uagb-buttons-repeater  {
									box-shadow: none !important;
								}
								.umowwizyte a.uagb-buttons-repeater.wp-block-button__link {
									border-style: none !important;
									border-color: none !important;
									padding: 14px 40px !important;
}
								}
								
								.umowwizyte .uagb-button__wrapper {
									margin-top: 0px !important;
								}
								
								.umowwizyte a.uagb-buttons-repeater  {
									box-shadow: none !important;
								}
								.umowwizyte a.uagb-buttons-repeater.wp-block-button__link {
									border-style: none !important;
									border-color: none !important;
								}
								
								



@media only screen and (max-width: 767px) {
		
		
		.uagb-block-6f5e7562.uagb-infobox__content-wrap.wp-block-uagb-info-box--has-margin .uagb-infobox-margin-wrapper {
			padding-left: 0px;
			margin-top: 75px;
			margin-right: 25px;
			margin-bottom: 0px;
			margin-left: 0px;
		}
		.uagb-block-b3b34a8b.wp-block-uagb-info-box .uagb-ifb-desc {
			margin-left: 0px;
		}
		/* harmonia i piękno */
		.wp-block-uagb-container.uagb-block-1a514cd7,
		.wp-block-uagb-container.uagb-block-72603c6b {
			margin-top: 46px !important;
		}
		.wp-block-uagb-container.uagb-block-dcd2ba9b {
			padding-top: 40px !important;
			padding-bottom: 33px !important;
		}
		/* kontakt */
		.uagb-block-whjuazlo, .uagb-block-adf52e1e, .uagb-block-rxv7qhhs, .uagb-block-56db5e09, .uagb-block-wt2tc73y, .uagb-block-56db5e09 .uagb-block-c4b019c9 p {
			margin-left: 5px;
		}
		.uagb-google-map__iframe {
			border-radius: 22px;
		}
		#kontakt p a, .uagb-ifb-button-wrapper .uagb-infobox-cta-link {
			color: #000;
			text-decoration: none;
		}
		footer h3, footer h2, footer h2 a {
			font-family: Optima;
		}
		.ast-footer-copyright p span, .ast-footer-copyright p span a {
			color: #5A83AF !important;
		}
		.ast-single-post .entry-content a, .ast-comment-content a:not(.ast-comment-edit-reply-wrap a), .woocommerce-js .woocommerce-product-details__short-description a, h3#h-dlonie-i-stopy {
			text-decoration: none !important
		}
		
		
		.uagb-block-405c208d figure {
			width: none !important;
		}
		
		h1#h-maris-instytut-urody {
		  font-family: "optima";
		  padding-left: 0px !important;
			line-height: 1em;
		}

		h3#h-masaze, h3#h-cialo {
		  margin-top: 15px;
		  margin-bottom: 7px;
		  text-decoration: none !important;
		}
		
		h3#h-masaze a, h3#h-cialo a {
		  text-decoration: none !important;
		}
				
		svg.ast-arrow-svg {
			fill: #002955 !important;
		}
		
		.ast-scroll-to-top-right {
			right: 17px!important;
			bottom: 18px!important;
		}
		#ast-scroll-top {
			position: fixed;
		  text-align: center;
		  cursor: pointer;
		  z-index: 99;
		  width: 38px !important;
		  height: 38px!important;
		  line-height: 38px!important;
		  color: #ffffff!important;
		  border-radius: 4px!important;
		  content: "";
		  outline: inherit!important;
		  background-color: #002955!important;
		}
		svg.ast-arrow-svg {
			fill: #f6f2da !important;
		}
		
	}
	

#leftgear {
    transition: all 1s ease 0s;
}

/* ZMIANA CZNIONKI */

h3, .entry-content h3, .uagb-ifb-title, .uagb-block-4fcf5f56 .uagb-ifb-title, h1, .entry-content h1, h4, .entry-content h4, h2.uagb-ifb-title .entry-content h2 {
	font-family: 'Maris' !important;
}
.uagb-ifb-title-prefix strong {
  font-weight: 500 !important;
}